Bug 55480 - Bug when unchecking "Relative" size while "Keep ratio" is checked
Summary: Bug when unchecking "Relative" size while "Keep ratio" is checked
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.2 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OLE-Objects
  Show dependency treegraph
 
Reported: 2012-10-01 00:03 UTC by Alexander Karatarakis
Modified: 2019-11-10 03:48 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Document for demonstrating the bug (23.47 KB, application/vnd.oasis.opendocument.text)
2012-10-01 00:03 UTC, Alexander Karatarakis
Details
Example demonstrating the problem (23.47 KB, application/vnd.oasis.opendocument.text)
2012-10-01 00:07 UTC, Alexander Karatarakis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Karatarakis 2012-10-01 00:03:18 UTC
Created attachment 67905 [details]
Document for demonstrating the bug

I have a table (happens with any other object as well) that is surrounded by a Caption box. The object inside is set to have relative width 100% so that it fills the caption box entirely. Keep ratio is also checked, so that any resizes don't alter the ratio of the object. The attached document shows an example of this.

Now, to reproduce the problem:
Right click the table (not the surrounding margin, only the table).
Select Object...
Uncheck “Relative” (the one pertaining to Width)
Notice that the value under “Height” was changed to be equal to the “Width” one and if you click ok the object becomes deformed. This should not be the case. The "Relative" check box should toggle between % value and actual size next to the corresponding dimension (width or height).

[minor observation:
Also, if you keep checking and unchecking “Relative”, you will notice that the Width keeps getting smaller (I see it in centimeters, and it gets smaller by increments of 0.01 after a few checks unchecks)
]

Ubuntu 12.04.1 64-bit
Libreoffice Version 3.6.0.2 (Build ID: 360m1(Build:102))
Comment 1 Alexander Karatarakis 2012-10-01 00:07:44 UTC
Created attachment 67906 [details]
Example demonstrating the problem

Re-add the example document marked as a binary file instead of plain text.
Comment 2 A (Andy) 2013-03-01 23:54:18 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)
Comment 3 Alexander Karatarakis 2014-02-11 19:38:45 UTC
Still an issue in 4.2.
Comment 4 Joel Madero 2015-05-02 15:44:09 UTC Comment hidden (obsolete)
Comment 5 Alexander Karatarakis 2015-05-03 11:16:11 UTC
Still an issue in 4.4.2.2
Comment 6 QA Administrators 2016-09-20 09:37:52 UTC Comment hidden (obsolete)
Comment 7 Alexander Karatarakis 2016-10-05 06:54:29 UTC
Still an issue in 5.2.2.2.
Repros with the attached odt in the original post.
Comment 8 aflux 2017-11-08 14:33:35 UTC
still an issue on 5.2.7.2
Comment 9 QA Administrators 2018-11-09 03:59:20 UTC Comment hidden (obsolete)
Comment 10 Roman Kuznetsov 2018-11-09 06:32:37 UTC
still repro in

Version: 6.2.0.0.alpha1+
Build ID: 6896f39ffd8a6c4b32b8f601a6a93678247456bd
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-05_22:40:18
Locale: ru-RU (ru_RU); Calc: threaded
Comment 11 QA Administrators 2019-11-10 03:48:46 UTC
Dear Alexander Karatarakis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug